petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetComputeEigenvalues

Gets the flag indicating that the extreme eigenvalues values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetComputeEigenvalues(KSP ksp,PetscBool  *flg)

Not Collective Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE Many br

### Notes

Currently this option is not valid for all iterative methods. Many br

Many br

### Keywords

KSP, set, compute, eigenvalues

### See Also

KSPComputeEigenvalues(), KSPComputeEigenvaluesExplicitly()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages